org.eclipse.rdf4j.sail.memory.model

## Class MemStatementList

- java.lang.Object
- - org.eclipse.rdf4j.sail.memory.model.MemStatementList

-     public class MemStatementList
      extends Object

  A dedicated data structure for storing MemStatement objects, offering operations optimized for their use in the memory Sail.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MemStatementList()` Creates a new MemStatementList.
    `MemStatementList(int capacity)`
    `MemStatementList(MemStatementList other)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(MemStatement st)`
    `void` | `addAll(MemStatementList other)`
    `void` | `cleanSnapshots(int currentSnapshot)`
    `void` | `clear()`
    `MemStatement` | `get(int index)`
    `boolean` | `isEmpty()`
    `void` | `remove(int index)`
    `void` | `remove(MemStatement st)`
    `int` | `size()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MemStatementList

          public MemStatementList()

      Creates a new MemStatementList.

    - #### MemStatementList

          public MemStatementList(int capacity)

    - #### MemStatementList

          public MemStatementList(MemStatementList other)

  - ### Method Detail

    - #### size

          public int size()

    - #### isEmpty

          public boolean isEmpty()

    - #### get

          public MemStatement get(int index)

    - #### add

          public void add(MemStatement st)

    - #### addAll

          public void addAll(MemStatementList other)

    - #### remove

          public void remove(int index)

    - #### remove

          public void remove(MemStatement st)

    - #### clear

          public void clear()

    - #### cleanSnapshots

          public void cleanSnapshots(int currentSnapshot)

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.